![Logo](images/logo.png "Крестьянство SDK")
##Крестьянство SDK
>Название **«Крестьянство»** не связано непосредственно с тружениками села, но призывает исповедовать идеалы благородного коллективного труда и природосообразного познания  

<iframe src="https://player.vimeo.com/video/14910620?title=0&byline=0&portrait=0" width="640" height="360" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>  

[О проекте в слайдах](/about)  
[Приоритетные направления разработки программы «Крестьянство»](directions/INDEX.md)

---

**«Крестьянство» SDK** представляет собой комплекс открытого программного обеспечения, созданного для архитектуры распределенных вычислений в сети. Несколько запущенных приложений образуют сеть точка-точка аналогичную torrent (p2p) и обеспечивают распределенные вычисления в едином защищенном виртуальном пространстве на основе репликации.  
Основным принципом разработки программного обеспечения **«Крестьянство» SDK**, является соответствие современному уровню развития компьютерной инженерии, математики, физики, приоритетным направлениям фундаментальной науки и искусства, но не маркетинговым исследованиям и бизнес-логике.

####Программы **«Крестьянство» SDK**:

>[**KRESTIANSTVO.ORG**](https://www.krestianstvo.org/books/sdk/ru/) - **Виртуальный мир на Windows / Mac** представляет собой приложение, написанное на языке SmallTalk для 3-х мерной операционной системы Open Qwaq/Open Croquet и запускается посредством виртуальной машины под управлением оперционной системы Windows / Mac OS X / Linux  

>[**LIVE.NET.RU**](https://live.net.ru) - **Виртуальный мир в браузере** представляет собой приложение, написанное на языке JavaScript  на основе архитектуры VWF / Sandbox и запускается в интернет браузере Google Chrome / Mozilla Firefox / Safari

>[**LIVECODING.CLUB**](https://livecoding.club) - **Живая среда программирования в браузере** представляет собой приложение, написанное на языке JavaScript на основе LivelyKernel и запускается в интернет браузере Google Chrome / Mozilla Firefox / Safari

>[**LIVECODING.SPACE**](https://livecoding.space) - **Живая среда для артиста, художника, музыканта** - скоро...

---

>[**GITLAB.SPACE**](https://gitlab.space) - для разработчиков работает постоянно действующий GIT репозиторий исходного кода **«Крестьянство» SDK**. Программы, написанные на языке Smalltalk хранятся в репозитории исходного кода [SDK.KRESTIANSTVO.ORG](http://SDK.KRESTIANSTVO.ORG)

>[**KTO.SPACE**](https://kto.space) - форум для обсуждений вопросов **«Крестьянство» SDK**

---
Проект **«Крестьянство» SDK** ставит перед собой задачу создания новой операционной системы, нового интернет, нового интерфейса взаимодействия человека и компьютера в открытых технологиях.

Используя существующие общедоступные транспортные каналы связи, **«Крестьянство» SDK** позволяет организовывать на них в неограниченном количестве общественные, гетерогенные, защищенные, одноранговые сети типа точка-точка (p2p) на основе распределенных вычислений и репликации, самостоятельно без помощи системных администраторов и программистов.

**«Крестьянство» SDK** позволяет любому желающему создать виртуальное обучающее пространство для многопользовательского защищенного взаимодействия, которое обеспечит совместную работу над объектами определенной доменной области в реальном времени.

Приложения, входящие в состав **«Крестьянство» SDK** представляют конформные по форме и содержанию методы взаимодействия человека с информационными технологиями, с использованием средств виртуальной, дополненной реальности, средств навигации и робототехники.

Программный комплекс позволяет любому желающему создавать мобильные системы автоматической виртуальной реальности CAVE (Cave Automatic Virtual Environment), а так же системы дополненной реальности для взаимодействия с компьютером. Количество создаваемых секторов CAVE, участвующих в проекции не ограничено.

Приложения, входящие в состав **«Крестьянство» SDK**, разрабатываются на языках программирования высокого уровня Smalltalk, JavaScript, Ruby, Python и запускаются посредством виртуальных машин, не требующих инсталляции. В основе **«Крестьянство» SDK** лежат передовые открытые разработки в области распределенных вычислений: 3-х мерная операционная система OpenQwaq/OpenCroquet на языке Smalltalk/Python; инструментарий создания виртуальных миров в интернет Virtual World Framework на языке JavaScript/Ruby; инструментарий живого программирования в интернет LivelyKernel на языке JavaScript/Smalltalk.

Программирование осуществляется как на английском так и на русском языках, в пределе с полным отказом от английского. Так, русские символы могут использоваться как в низкоуровневых, так и высокоуровневых именах методов языка Smalltalk/JavaScript.

На сайтах [KRESTIANSTVO.ORG](https://www.krestianstvo.org), [LIVE.NET.RU](https://live.net.ru), [LIVECODING.CLUB](https://livecoding.club) созданы постояннодействующие сервисы виртуальных миров, позволяющие организовать совместную работу пользователей через сеть интернет, как посредством запуска приложения **«Крестьянство» SDK** для операционной системы Windows, Mac OS X, Linux, так и напрямую через интернет-браузер Google Chrome, Mozilla FireFox, Apple Safari.
