##Приоритетные направления разработки программ «Крестьянство SDK»

1. От теории множеств, как фундамента математики к объектно-категорному подходу и логике топосов (от попсово-наглядного к наблюдаемым топосам).
2. От параллельного использования алгебры и геометрии к геометрической алгебре и алгебраической геометрии (алгебры функций движений первичны, гладкие многообразия как спектры этих алгебр - вторичны)
3. От математического анализа как раздела наивной физики к анализу в рамках алгебраической геометрии (от целочисленного дифференцирования - интегрирования к дробно-фрактальному дифференцированию-интегрированию).
4. От классического гармонического анализа Фурье к абстрактному гармоническому анализу и вейвлет-анализу (от гармоник к всплескам).
5. От структур интеллекта Пиаже к «экологии мышления, языка и зрения»
6. От объектно-ориентированного и функционального программирования к объединенной объект-лямбда архитектуре (от объектов и функций к алгебрам).
7. От состояния объекта к мирам состояний (от одного интерпретатора состояния к интерпретаторам на каждое изменение состояния)
8. От исторических версий объектов к пространству-времени (от пространства без времени к мирам, озабоченным временем).
9. От одного виртуального пространства к мультиверсу пространств и генерации квантовых вычислений.
10. От классов к прототипам (от наследования функций «родителей» к делегации и клонированию)
11. От серверных хранилищ информации к потокам (от запросов на серверы к подписчикам на вещание).
12. От серверных вычислений к распределенным вычислениям в одноранговой, гетерогенной сети.
13. От Интернет 1 к Интернет 2 (от клиент-серверной архитектуры к торрент распыленной одноранговой сети)
14. От Интернет 2 к Интернет 3 (от обмена данными в торрент распыленной одноранговой сети к обмену вычислениями «в пыли»)
15. От архитектуры Фон-Ноймана на узле сети к архитектуре сети на самом узле (к масштабной инвариантности и фрактальному самоподобию сети интернет. Программы внутри персонального компьютера должны быть устроены и взаимодействовать друг с другом так же как в Интернет 2 и Интернет 3)
16. От «шарманки» к «живому ядру» на процессоре, которое поможет перейти от процесса обмена данными к процессу обмена вычислениями.
17. От программирования в блокноте к самоисследовательской среде на «живом ядре» (к среде написанной самой на себе).
18. От упорядоченного программирования в архитектуре Фон-Ноймана к неупорядоченному программированию в архитектуре сети (последовательно - сложно, параллельно - легко)
19. От взаимодействия объектов на уровне рефлексов к взаимодействию объектов на уровне видимости (от политики безопасности, основанной на защите от вирусов-агентов к естественной безопасности, обеспеченной иммунной системой объекта)
20. От «железной виртуальной машины» понимающей только один зык программирования к «силиконовой динамической виртуальной машине», которая будет понимать все разнообразие языков программирования и даже позволять пользователю создавать новые языки какой-либо предметной области.
21. От языков разметки к генеративным языкам и графике на «холсте» (от коллажа изображений к порождению графики в реальном времени).
22. От курсора мыши, представляющего пользователя, к «аватару» - представителю пользователя.
23. От «аватара»-анимационной куклы к существу, наделенному структурой восприятия.
24. От сохранения результатов взаимодействия к сохранению «аватара» для перемещения его в различные виртуальные пространства по областям применения. К новому формату передачи знаний, к новым формам представления знаний, не в виде растровой статичной текстовой или звуко-визуальной форме, а в виде генераций на основе физического моделирования в реальном времени.
25. От персонального компьютера к персональной производственной лаборатории (FabLab) с «аватаром»

---

###Основные книги по математике

####[Перейти на сайт](http://www.krestianstvo.org/books/math/ru)