##Виртуальная трудовая школа

![Logo](../images/logo.png "Крестьянство SDK")


>«Всякий праздный гражданин – богатый или бедный, сильный или слабый – есть плут» Руссо Ж.Ж. Эмиль или О воспитании, М., 1896, с. 257

Современная начальная школа является формой досуга детей, а современная высшая школа является формой элитарного досуга. Труд представляется бременем, орудием угнетения.

На самом деле вся история человечества говорит о том, что труд является важнейшей жизненной потребностью человека, является важнейшим условием гармонического развития активных и сознательных, вооруженных научными знаниями граждан общества. Олин день настоящей трудовой деятельности для ребенка может иметь большее значение, чем несколько лет сидения за партой.

Все без исключения педагоги прошлого, проектируя идеальную школу, предусматривали подготовку детей к труду и привлечение их к посильной трудовой деятельности, хотя сам труд учащихся трактовался по – разному. Одни вводили ручной труд, как особый предмет преподавания, формируя трудовые умения и навыки с учетом достижений науки. Другие видели главной цель трудового обучения в выработке у детей таких черт характера, которые нужны с точки зрения предпринимательства – старательности, честности, добросовестности, гражданской позиции и т.д. Третьи трактовали труд детей расширительно и видели сущность трудовой школы в разнообразной познавательной и художественной деятельности (самостоятельная работа по добыванию знаний, сочинения на свободную тему, рисование, музицирование и т.д.). При этом у первых сам труд носил ремесленный характер, который не требовал серьезного научного образования. У вторых в качестве стимулов трудового обучения выдвигались достижения личного успеха и материального благополучия. У третьих все сводилось к стимулированию умственной самодеятельности учащихся, а собственно труд, если он вводился в учебный план, использовался как средство культурно-физического развития. Все эти модели трудовой школы не получили массового распространения.

Мы трактуем труд как общественно-полезную деятельность по созданию продуктов имеющих определенную потребительскую стоимость. При таком понимании общественно полезный труд (самообслуживание, мытье полов и т.д.) не является трудом. Деятельность по добыванию учебных знаний, учебное рисование и музицирование так же трудом не является. Отработка навыков старательности, пунктуальности и т.д. тоже не являются трудом. Ранее общественно-производственные отношения не позволяли мечтать о такой трудовой школе, в которой ребенок мог участвовать в создании продуктов имеющих определенную потребительскую стоимость. Или школа скатывалась к эксплуатации детского труда, либо продукт произведенный детьми из-за конкуренции имел низкую потребительскую стоимость.

Виртуальная трудовая школа позволяет преодолеть все выше обозначенные трудности, при этом виртуальная трудовая деятельность используется для сообщения детям знаний, привития умений и навыков.


**ВИРТУАЛЬНАЯ ТРУДОВАЯ ШКОЛА** - является конкретной реализацией идей трудовой школы первой половины XX века, с учетом произошедших изменений и будущих перспектив развития современных технологий информационного общества конца XX начала XXI века. Открытая, некоммерческая, доступная в сети интернет, дающая всем детям, независимо от общественного и имущественного положения их родителей, общеобразовательные и трудовые знания, умения и навыки.


**Актуальность проблемы**:
>Большинство существующих программных решений в области образовательных информационных технологий применяют бизнес-логику на шаблонном представлении содержания (cистемы управления обучением (LMS/LCMS), тестирование). Использование их в учебном процессе сводится к работе с текстом, показу слайдов, анимационных роликов, внедренных лабораторных экспериментов, не подкрепленных совместной трудовой деятельностью учеников и учителя.

**Cоциальная значимость**:  
>В трудовой школе XX века изготавливали табуретки, обрабатывали и закаливали молотки, точили на токарных станках болты, девочки шили строительные луковицы и фартуки, участвовали в сельскохозяйственных работах, получая вместе с трудовыми навыками социально-мотивированные, общеобразовательные знания. Обучение современным технологиям (робототехника, машиностроение, параметрическая архитектура, дополненная и виртуальная реальность, интернет технологии, средства разработки ПО и т.д.) требует такого же социально мотивированного вовлечения в трудовую деятельность и виртуальная трудовая школа позволит это сделать. Виртуальная трудовая школа позволит изменить мотивации обучаемого с утилитарно-накопительной на трудовую социально значимую деятельность. 

**Цель**:
>Обеспечить доступ учеников к реальной трудовой деятельности в виртуальном обучающем пространстве. Содержание и форма не должны зависеть от аппаратной платформы (настольный компьютер, сервер, телефон); языка программирования, операционной системы, системы управления содержанием; от программистов и системных администраторов, и людей несведущих в предметной трудовой деятельности специалиста/учителя.


**Инновационная сущность**:  
>Виртуальная трудовая школа принципиально отличается от существующих сетевых образовательных ресурсов, представляющих собой в основном базы данных текстово-визуальной информации. Существующие виртуальные лаборатории разрозненны, не позволяют совместно проводить эксперимент. Виртуальная трудовая школа будет пронизана многообразием мультимедиа сред, предоставлять возможность в интерактивном режиме взаимодействовать с их содержимым. Программные модули школы являются как независимыми приложениями, так и программными компонентами, дополняющими друг друга и образующими единую среду создания и запуска виртуальных обучающих пространств. Они разрабатываются на открытых технологиях Open Source, мультиплатформенны и запускаются без инсталляции. Поддержка русского (и любого национального) языка осуществляется через Unicode. Программы включают в себе одновременно как среду разработки, так и среду запуска виртуальных обучающих пространств.

**Задачи**:

1. Создание виртуального обучающего пространства для многопользовательского защищенного взаимодействия в сети интернет, которое обеспечит асинхронную работу над объектами определенной доменной области в реальном времени автоматизированных, автономных гетерогенных систем. В качестве таких систем могут выступать роботы, средства связи, компьютеры и другие вычислительные устройства.

2. Организация неигрового виртуального обучающего пространства для проведения совместной научно-исследовательской работы отдельными учеными или целыми коллективами.

3. Преодоление англоязычной зависимости в массово-востребованных областях применения компьютерных технологий (цифровые школы, учебно-методические электронные комплексы, научно-исследовательские виртуальные экспериментальные лаборатории, интернет технологии, языки программирования всех уровней, проектирование цифровых интегральных схем).


**Ожидаемые результаты**:
>Наличие открытой виртуальной трудовой школы для детей и специалистов по предметным областям, для реальной совместной трудовой деятельности в едином виртуальном пространстве в сети интернет. Результаты трудовой деятельности смогут применяться с легкостью на производстве.